org.keycloak.saml.processing.core.saml.v2.writers

## Class SAMLAssertionWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter
  - - org.keycloak.saml.processing.core.saml.v2.writers.SAMLAssertionWriter

-     public class SAMLAssertionWriter
      extends BaseWriter

  Write the SAML Assertion to stream
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLAssertionWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(AssertionType assertion)` Write an `AssertionType` to stream
    `void` | `write(AttributeStatementType statement)`
    `void` | `write(AuthnContextType authContext)` Write an `AuthnContextType` to stream
    `void` | `write(AuthnStatementType authnStatement, boolean includeNamespace)` Write an `AuthnStatementType` to stream
    `void` | `write(StatementAbstractType statement)` Write an `StatementAbstractType` to stream

    - ### Methods inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `write, write, write, write, write, writeAttributeTypeWithoutRootTag, writeDateAttributeValue, writeLocalizedNameType, writeNameIDTypeAttributeValue, writeStringAttributeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLAssertionWriter

          public SAMLAssertionWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(AssertionType assertion)
                     throws ProcessingException

      Write an `AssertionType` to stream
      Parameters:
        `assertion` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(StatementAbstractType statement)
                     throws ProcessingException

      Write an `StatementAbstractType` to stream
      Parameters:
        `statement` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(AttributeStatementType statement)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(AuthnStatementType authnStatement,
                            boolean includeNamespace)
                     throws ProcessingException

      Write an `AuthnStatementType` to stream
      Parameters:
        `authnStatement` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(AuthnContextType authContext)
                     throws ProcessingException

      Write an `AuthnContextType` to stream
      Parameters:
        `authContext` -
      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.